#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 z-dns-z-dns-internal
version:              4.1.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.1.1-7eagT0BdbNTEit1jQGGKFf-dns-internal
key:                  dns-4.1.1-7eagT0BdbNTEit1jQGGKFf-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  4b3ab005fda0c52f5d40859cd30591b0
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
library-dirs:         /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.1-7eagT0BdbNTEit1jQGGKFf-dns-internal
depends:
    array-0.5.4.0 async-2.2.5-CjCuZi34HovIas1x5o0XNl
    attoparsec-0.14.4-K9rgVNreKMkFhZdMbsqsTo
    auto-update-0.1.6-ELkjeoJ2KGrKhR6Wzj6TYG base-4.17.2.1
    base16-bytestring-1.0.2.0-QNB00R14ilFJ2bl5pXkq5
    base64-bytestring-1.2.1.0-51qKIpJ73TV1AKDjoSOLuj
    bytestring-0.11.5.3 case-insensitive-1.2.1.0-ADYWB5NR7iSCpUfBs08sXI
    containers-0.6.7 cryptonite-0.30-1z5L2om720j2Q27zycLaKL
    hourglass-0.2.12-KmdBKbxwvsXG2U72qpjlbA
    iproute-1.7.15-IZY1Nt3T6XIGF8WcjQqHbt mtl-2.2.2
    network-3.1.4.0-AQGzws0tmah75qbsifMDHb
    psqueues-0.2.8.1-85tdkeQElr35cjvcAApePl

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 dns
version:              4.1.1
visibility:           public
id:                   dns-4.1.1-J9xJWdCIVvMIrylr7ETGLC
key:                  dns-4.1.1-J9xJWdCIVvMIrylr7ETGLC
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  26e72ec36aa8437fcbbd1e1e0fbbce87
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
library-dirs:         /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.1-J9xJWdCIVvMIrylr7ETGLC
depends:
    array-0.5.4.0 async-2.2.5-CjCuZi34HovIas1x5o0XNl
    attoparsec-0.14.4-K9rgVNreKMkFhZdMbsqsTo
    auto-update-0.1.6-ELkjeoJ2KGrKhR6Wzj6TYG base-4.17.2.1
    base16-bytestring-1.0.2.0-QNB00R14ilFJ2bl5pXkq5
    base64-bytestring-1.2.1.0-51qKIpJ73TV1AKDjoSOLuj
    bytestring-0.11.5.3 containers-0.6.7
    cryptonite-0.30-1z5L2om720j2Q27zycLaKL
    dns-4.1.1-7eagT0BdbNTEit1jQGGKFf-dns-internal
    hourglass-0.2.12-KmdBKbxwvsXG2U72qpjlbA
    iproute-1.7.15-IZY1Nt3T6XIGF8WcjQqHbt mtl-2.2.2
    network-3.1.4.0-AQGzws0tmah75qbsifMDHb
    psqueues-0.2.8.1-85tdkeQElr35cjvcAApePl

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

